<template>
    <div
        v-for="product in products"
        :key="product.id"
        class="card d-inline-flex p-2 bd-highlight mx-1 my-1 product-list"
    >
        <router-link :to="getPath(product.id)">
            <div class="product-list__content">
                <img v-lazy="product.image" class="card-img-top" :alt="product.name" />
                <div class="card-body">
                    <div class="product-list__name">{{ product.name.toUpperCase() }}</div>
                    <span class="product-list__price">S/ {{ product.price }}</span>
                </div>
            </div>
        </router-link>
    </div>
</template>
<script>
export default {
    props: {
        products: {
            type: Array,
            default: () => [],
            required: true,
        },
    },
    setup() {
        return {
            getPath: (id) => `/product/${id}`,
        };
    },
};
</script>
<style lang="scss">
@import './product-list.scss';
</style>
